<?PHP
include($_SERVER['DOCUMENT_ROOT'].'/header.php');

echo "		 <span class='top-bl-s-verh'>Заказ выплаты</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
Уважаемые пользователи в зависимости от платёжной системы может быть комиссия!
На нашем проекте используются разные платёжные системы - всё это сделано для вашего удобства. Выбираем кошелёк и получаем 
заработанные деньги.
</td></tr>
</table>";

$cod = mysql_result(mysql_query("SELECT `cod` FROM `b_users` WHERE `username`='".$_SESSION["username"]."'"),0);
if($cod == 0) {
echo "<br /><span class='taskquestion'><center>$infstart Нужно подтвердить номер телефона в <a href='/editprofile.php' title='Подтвердить номер'>личных данных (БЕСПЛАТНО)</a> $infend</center></span></fieldset>";
include($_SERVER['DOCUMENT_ROOT'].'/footer.php');
exit();
}
?> 
<div id="error_info"></div>
<div id="money_ok">
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead>
<tr>
<th align='center' nowrap='nowrap'>Наименование</th>
<th align='center' nowrap='nowrap'>Значение</th>
</tr>
</thead>
<tbody>
<tr>
<td nowrap="nowrap">Сумма к выплате</td>
<td class="value"><input class="val" type="text" id="howmany" size="30" maxlength="5" style="text-transform: uppercase;padding:2px;" value="<?=p_floor($money,2) ?>" /></td>
</tr>
<tr>
<td nowrap="nowrap">Способ выплаты</td>
<td class="value">
<select id="merchant" style="padding:2px;" onchange="chenge_purse(); return false;">
<?PHP
if($wm_out == 1) {echo "<option value='1'>WebMoney</option>";}
if($qw_out == 1) {echo "<option value='2'>Qiwi</option>";}
if($ym_out == 1) {echo "<option value='3'>YandexMoney</option>";}
if($lp_out == 1) {echo "<option value='4'>LiqPay</option>";}
if($pm_out == 1) {echo "<option value='5'>PerfectMoney</option>";}
if($py_out == 1) {echo "<option value='6'>Payeer</option>";}
if(2 == 1) {echo "<option value='7'>RoboKassa</option>";}
if(2 == 1) {echo "<option value='8'>InterKassa</option>";}
?>
</select>
</td>
</tr>
<tr>
<td nowrap="nowrap">Номер счёта</td>
<td class="value"><input id="purse" class="val" type="text" size="30" maxlength="5" style="text-transform: uppercase;padding:2px;" value="<?=$byme["pemail"] ?>" disabled /></td>
</tr>
<tr>
<td nowrap="nowrap">Проверочный код </td>
<td class="value"><input type="text" id="codes" size="15" maxlength="5" style="text-transform: uppercase;padding:2px;" value="" /> 
<img src="capcha/convertcap.php" id="code" width="33" height="20" align="top"> 
<a href="javascript:refresh_on('code');">
<img title="Обновить код" src="mfs/arrow_refresh.png" align=absmiddle></a>
</td>
</tr>
<input type="hidden" name="tak" value="fuck"></tbody></table>
<span class="taskquestion"><center>Если выплата на WebMoney не пришла автоматом, вам необходимо разрешить приём денег от неавторизованных пользователей в настройках вашего КИПЕРА!<br /><br />
Если по каким то причинам вы не получили выплату автоматически, не спешите ругаться! Возможно произошёл сбой, ваши деньги не пропадут и вернутся к вам на баланс сегодня же.</center></span>
<br /><div align=center><a href="javascript:void(0);" onclick="money_out();" class='button-green'>Получить выплату</a></div><br />
</div>

<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead>
<tr>
<th align='center' nowrap='nowrap'>Платёжная система</th>
<th align='center' nowrap='nowrap'>Кошелёк</th>
<th align='center' nowrap='nowrap'>Сумма</th>
<th align='center' nowrap='nowrap'>Дата</th>
<th align='center' nowrap='nowrap'></th>
</tr>
</thead>
<tbody>
<?PHP
function payment($payment) {
switch($payment) {
case 1: $src = "<b>WebMoney</b>";break;
case 2: $src = "<b>QiWi</b>";break;
case 3: $src = "<b>YandexMoney</b>";break;
case 4: $src = "<b>LiqPay</b>";break;
case 5: $src = "<b>PerfectMoney</b>";break;
case 6: $src = "<b>Payeer</b>";break;
}
return $src;
}
$sql = mysql_query("SELECT `id`, `pemail`, `payment`, `money`, `datetime`, `ip` FROM `tb_payme` WHERE `status`='0' AND `user_id`='$id_user'") or die(mysql_error());
if(mysql_num_rows($sql) > 0){
while($row = mysql_fetch_assoc($sql)){
echo "<tr id='out_".$row["id"]."'>";
echo "<td style='text-align:center;'>".payment($row["payment"])."</td>";
echo "<td style='text-align:center;'>".$row["pemail"]."</td>";
echo "<td style='text-align:center;' class='value'>".$row["money"]."</td>";
echo "<td style='text-align:center;'>".date("d-m-Y H:i", $row["datetime"])."</td>";
echo "<td style='text-align:center;'><a class='btn-delete' href='javascript:void(0);' onclick='back_money(".$row["id"].")' title='Вернуть деньги'></a></td>";
echo "</tr>";
}
}else{
echo "<tr><td colspan='6' style='text-align:center;'>Нет заказов на выплату</td></tr>";
}
?>
</tbody>
</table>

<script>  
function refresh_on(code) {  
var element = document.getElementById(code);
if(element) {
element.src = element.src + '?' + (new Date()).getMilliseconds();
}
}
var progress = false;

function chenge_purse(){
var merchant = parseInt($.trim($('#merchant').val()));
if(merchant == 1) { purse = "<? echo MY_WM_PURSE?>";
}else if(merchant == 2) { purse = "<? echo MY_QW_PURSE?>";
}else if(merchant == 3) { purse = "<? echo MY_YM_PURSE?>";
}else if(merchant == 4) { purse = "<? echo MY_LP_PURSE?>";
}else if(merchant == 5) { purse = "<? echo MY_PM_PURSE?>";
}else if(merchant == 6) { purse = "<? echo MY_PY_PURSE?>";
}else{ return false; }
$("#purse").val(purse);
}

function back_money(id){
if(!progress){
$.ajax({ 
type: "POST", 
url: "ajax/money_out.php", 
data: { 'func' : 'back_money', 'id' : id },
beforeSend: function() {progress = true; $('#error_info').html('').attr("style", "");},
success: function(data) {
if(data == 1){
$("#error_info").html("<?=$infstart?>Средства возвращены на баланс!<?=$infend?>"); tm = setTimeout(function() { hidemsg() }, 3000);
$("#out_"+id).remove();
}else{
$("#error_info").html(data); tm = setTimeout(function() { hidemsg() }, 3000);
}
progress = false;
}
});
}
}

function hidemsg(){ $('#error_info').fadeOut('slow'); $("#error_info").attr("style", ""); if(tm)clearTimeout(tm);}
function money_out() {
if(!progress){
var howmany = $.trim($('#howmany').val());
var merchant = parseInt($.trim($('#merchant').val()));
var purse = $.trim($('#purse').val());
var codes = $.trim($('#codes').val());
if(codes == '') { QBinfo('Ошибка:','<b>Вы не ввели проверочный код!</b>',4000,'bottom-right');}
$.ajax({ 
type: "POST", 
url: "ajax/money_out.php", 
data: { 'func' : 'money_out', 'howmany' : howmany, 'merchant' : merchant, 'purse' : purse, 'codes' : codes },
beforeSend: function() {progress = true; $('#error_info').html('').attr("style", "");},
success: function(data) {
if(data == 1){
QBinfo('Поздравляем:','<b>Выплата прошла успешно!</b>',4000,'bottom-right');
$("#money_ok").remove();
}else{
$("#error_info").html(data); tm = setTimeout(function() { hidemsg() }, 3000);
}
progress = false;
}
});
}
}
</script></div>
<?PHP include($_SERVER['DOCUMENT_ROOT'].'/footer.php'); ?>